#pragma once

struct Buffer;

class WGif {
public:
	int frame_cnt = 0;
	int frame = 0;
	bool interlace = false;

	float speed = 1.0;
	
	Buffer* buff_cols;
	Buffer* buff_indices;

	int width;
	int height;

	Texture* tex;
	Framebuffer* fb;

	double time = 0.0;
	int fps = 15;

	WGif(std::string_view path);

	void render();

};
